import { StrategyBasedIndicator } from "./StrategyBasedIndicator";
import { IndicatorCalculationStrategy } from "./IndicatorCalculationStrategy";
import { Type } from "igniteui-angular-core";
import { DependencyProperty } from "igniteui-angular-core";
import { Series } from "./Series";
/**
 * @hidden
 */
export declare class FullStochasticOscillatorIndicator extends StrategyBasedIndicator {
    static $t: Type;
    protected bk(): Series;
    constructor();
    protected get_ab5(): IndicatorCalculationStrategy;
    protected get ab5(): IndicatorCalculationStrategy;
    protected get_aci(): Type;
    protected get aci(): Type;
    get acq(): number;
    set acq(a: number);
    static readonly acv: DependencyProperty;
    protected acb(): number;
    ack(a: number): void;
    get smoothingPeriod(): number;
    set smoothingPeriod(a: number);
    static readonly acw: DependencyProperty;
    protected acd(): number;
    get acs(): number;
    set acs(a: number);
    static readonly acx: DependencyProperty;
    protected aca(): number;
    protected abl(): number;
}
